Hacking Unpatched switch firmware version 8.0.1 or 8.1.0, which to keep?

pica200

Member
OP
Newcomer
Joined
Jun 18, 2015
Messages
24
Trophies
0
Age
47
XP
76
Country
New Zealand
Which firmware version should I keep on the switch, that I am intending to mod?

Currently it has version 8.0.1, but there is a pending 8.1.0 update wanting to be installed.

Got here a day one release switch, I checked and it is not patched. I made a jig and can make it to the RCM. I haven't done anything else at this stage.

I haven't been here for some time, so excuse me for asking, I did google but didn't really find (or know first hand) anything. Kind of know have to act fast, pretty sure a newer firmware is very close to being released, with the lite hot on the heals, and has been awhile for 8.1.0
 
Last edited by pica200,

aos10

Yuuki chan
Member
Joined
Apr 10, 2012
Messages
4,738
Trophies
1
Age
36
XP
3,807
Country
Saudi Arabia
8.0 blocked all kind of software hacks
so keep the not patched one, as it doesn't mater which update it has, you can always hack it using RCM.
 

pLaYeR^^

Doctor Switch
Member
Joined
Sep 18, 2014
Messages
3,133
Trophies
1
Age
25
Location
Austria
XP
3,255
Country
Austria
8.0 blocked all kind of software hacks
so keep the not patched one, as it doesn't mater which update it has, you can always hack it using RCM.
If the switch is not patched, you can hack it on any firmware. His switch is not patched, therefore it doesn't matter if he stays on 8.0.1 or update to 8.1.0.

To OP: Update to 8.1.0. Everything works fine there.
 
  • Like
Reactions: aos10

eskinner3742

GBAtemp Professional Lurker
Member
Joined
Feb 21, 2016
Messages
313
Trophies
0
Age
26
XP
1,008
Country
United States
Yeah, unpatched units have access to RCM so your firmware version doesn't matter, they can always be modded. If it's patched then keep it as low as possible as you'll have a better chance of getting an exploit down the line (though for 8.x.x it may be a long wait.)

Also, you can set up emunand (a copy of your switch's brain ran from the SD) so your system can be on, for example, Firmware 4.1 and the emunand side can be on the latest firmware. That's how patched units have to run.
 
General chit-chat
Help Users
  • No one is chatting at the moment.
    KenniesNewName @ KenniesNewName: Underwraps 2 is out checks all the Disney woke boxes